Holger's Java API

## com.antelmann.util
Interface LifeCycleObject

All Known Subinterfaces:
  AddressInfo, Contact, DocumentEntry, EntryRelationship, GEvent, Person, SpecialRelationship<F,T,R>

All Known Implementing Classes:
  AddressInfoImpl, BaseDocument, CalendarEntry, ContactImpl, DBDocument, DefaultEntryRelationship, DefaultSpecialRelationship, FriendsEntry, GeoProperty, GEventEntry, GEventImpl, GEventRelation, GPerson, GPersonRelation, ImageURLEntry, PersonImpl

    public interface LifeCycleObject

specifies an object that has a begin and end in time. For example, a person has a birthday and - eventually - an obit, so that a person can be expressed as a LifeCycleObject. The same could apply to objects (with a build/destruction date), documents (with a creation/expiration date) or activities (begin/end time). If a date is unknown or not yet applicable (like `getEndTime()` for a living person), the corresponding method would return null.

Since:
  27.03.2009, 16:04:06
Author:
  Holger Antelmann

Method Summary
`Date` `getBeginTime()`
`Date` `getEndTime()`

Method Detail

### getBeginTime

    Date getBeginTime()

### getEndTime

    Date getEndTime()

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads